Bug 889671 - USB keys freshly formatted are mounted read-only
Summary: USB keys freshly formatted are mounted read-only
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: udisks2
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-22 13:27 UTC by Dave Neary
Modified: 2013-03-06 04:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-02 19:19:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave Neary 2012-12-22 13:27:41 UTC
Description of problem:

USB disks formatted with GNOME disk utility (after having a liveCD image on them previously) as FAT16 disks are mounted read-only. Tried with several keys.


How reproducible:
Always, many different keys.


Steps to Reproduce:
1. Use a key for a bootable liveCD image, then decide to use it for file transfer with a 3rd party, requiring a FAT partition
2. Open GNOME Disks, unmount liveCD partition un the utility, format disk, add a partition to the newly formated disk
3. Mount new partition and open it in Nautilus. Try to copy files
  
Actual results:
Files fail to copy - partition is read-only. Boot options to mount look fine (see below). Attempts to change permissions on directory fail. Perhaps an SELinux issue?


Expected results:
Expect to have files copied.

Additional info:
Mount command line: /dev/sdb1 on /run/media/dneary/New Volume type vfat (rw,nosuid,nodev,relatime,uid=1000,gid=1000,fmask=0022,dmask=0077,codepage=cp437,iocharset=ascii,shortname=mixed,showexec,utf8,errors=remount-ro,uhelper=udisks2)

Comment 1 Dave Neary 2012-12-22 13:32:32 UTC
Additional information: As root, in the shell, I can copy files to the disk. So it is a security context issue, rather than a filesystem mounted read-only. Perhaps an SELinux issue?

This also happens with existing USB disks. And has only started happening recently on F17.

Dave.

Comment 2 David Zeuthen 2013-01-02 19:19:41 UTC
I don't think this has anything to do with udisks2 as it is just calling the mount(8) command. It could be a problem with either the USB stick or the filesystem driver in the kernel or the kernel or anything else. Maybe see if you can reproduce by just mounting the device from the command line?

Anyway, closing as CANTFIX. But feel free to reopen and reassign it to another component if you find a suitable one.


Note You need to log in before you can comment on or make changes to this bug.